	/*	 First version:  01/02/2016, Yury Vilk. 

      Usage:
  			   %initialize_tracking_tbl(tbl_name_out=&prefix2.track_tbl_updt1);
      
  */

%MACRO initialize_tracking_tbl(dp_cd=0, tbl_name_out=track_tbl_updt1);
  
  %PUT;
   %PUT -----   Start of the macro initialize_tracking_tbl;
   %PUT;

 DATA &tbl_name_out.;
   ATTRIB DP_CD LENGTH=8 MSREQID LENGTH=$32 RUNID LENGTH=$6 
			     ITER_NB LENGTH=8 STEP_NB LENGTH=3 
                 START_DTM LENGTH=8 FORMAT=DATETIME21.2 INFORMAT=ANYDTDTM21. 
                 END_DTM LENGTH=8 FORMAT=DATETIME21.2 INFORMAT=ANYDTDTM21. 
                 CURR_STEP_IN LENGTH=3 STEP_RETURN_CD LENGTH=3 
                 STEP_RETURN_MSG LENGTH=$300
 				  REG_CONV_IN LENGTH=3 REG_CONV_MSG LENGTH=$300
                  LAST_ITER_IN LENGTH=3  LAST_RUNID_IN LENGTH=3
				  UTC_OFFSET_DISPLAY	 LENGTH=$6  UTC_OFFSET_SEC LENGTH=8	
				  REGR_TYPE_CD LENGTH=3 
				;
    DP_CD=&dp_cd.; 
	MSREQID="&msreqid.";
    RUNID="&runid.";
    ITER_NB=&iter_nb.;
	STEP_NB=&step_nb.;
    START_DTM=DATETIME();
    END_DTM=.;
	CURR_STEP_IN=1;
    STEP_RETURN_CD=.;
    STEP_RETURN_MSG=" ";
    REG_CONV_IN=&reg_conv_in.; 
    REG_CONV_MSG="&reg_conv_msg.";
  	LAST_ITER_IN=&last_iter_in.;
    LAST_RUNID_IN=&last_runid_in.;
	REGR_TYPE_CD=&regr_type_cd.;
	utc_offset_display=substr(put('00:00:00't,E8601LZ.), 9);
    utc_offset_sec=INPUT(utc_offset_display, ?? TIME6.);
  RUN;

  %PUT;
   %PUT -----   End of the macro initialize_tracking_tbl;
   %PUT;

 %MEND;

 

