  %MACRO create_tracking_tbl_fl_lev_updt( updt_tbl_name_in=
																	   ,file_list_dtm_in=
                        											   ,updt_tbl_name_fl_lev_out=);
 /*	Usage:

	    %create_tracking_tbl_fl_lev_updt(updt_tbl_name_in=&msoc_lib..&prefix.track_tbl_updt
										                    ,file_list_dtm_in=&msoc_lib..&prefix.file_list_dtm
															,updt_tbl_name_fl_lev_out=&msoc_lib..&prefix.tr_tb_fl_updt
															);
 */

  %PUT;
   %PUT -----   Start of the macro create_tracking_tbl_fl_lev_updt;
   %PUT;

  PROC SQL;
    CREATE TABLE &updt_tbl_name_fl_lev_out.	 AS
        SELECT   A.DP_CD              
                        ,A.MSREQID           
                        ,A.RUNID             
                        ,A.ITER_NB           
                        ,A.STEP_NB
 						,A.CURR_STEP_IN
 						,B.tbl_name           
                        ,B.ext               
                        ,B.file_nm          
                        ,B.dir_nm_sh 
                        ,B.transfer_to_site_in
 						,B.send_received_cd
 						,B.file_exist_flag
                        ,b.file_mod_dtm      
                        ,B.utc_offset_display

		   FROM &updt_tbl_name_in. AS   A
					  ,&file_list_dtm_in.	  AS	 B
			  ORDER BY  DP_CD, MSREQID, RUNID, ITER_NB, STEP_NB, DIR_NM_SH, FILE_NM
					;
	QUIT;

   %PUT;
   %PUT -----   End of the macro create_tracking_tbl_fl_lev_updt;
   %PUT;

	%MEND;